package com.friday.tooldriver.mapper.taieoc;

import com.friday.tooldriver.po.taieoc.RobotGroupRelationPo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface RobotGroupRelationMapper {

    int insertSelective(RobotGroupRelationPo record);

    RobotGroupRelationPo selectByPrimaryKey(Long id);

    int updateByPrimaryKeySelective(RobotGroupRelationPo record);

    List<RobotGroupRelationPo> selectByRobotAndGroup(@Param("robotId") Long robotId, @Param("groupId") Long groupId);

    void deleteByGroupId(@Param("robotId") Integer robotId, @Param("groupId") Long groupId);

}